Update a knowledge article
curl --request PATCH \
--url https://api.example.com/v2/aether/playbook/knowledge/{article_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"title": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.example.com/v2/aether/playbook/knowledge/{article_id}"
payload = {
"content": "<string>",
"title": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', title: '<string>', description: '<string>'})
};
fetch('https://api.example.com/v2/aether/playbook/knowledge/{article_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"collection": "<string>",
"knowledge_type": "declarative",
"status": "archived",
"scope": "shared",
"description": "<string>",
"content": "<string>",
"customer_id": "<string>",
"segment_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mime_type": "<string>",
"presigned_url": "<string>",
"size": 123
},
"current_version": {
"version_number": 123,
"operation": "created",
"created_at": "2023-11-07T05:31:56Z",
"author_id": "<string>"
}
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}aether
Update a knowledge article
Providing content creates a new revision (optionally with an updated
title or description); collection alone moves the article. Title or
description changes require content to be sent as well.
PATCH
/
v2
/
aether
/
playbook
/
knowledge
/
{article_id}
Update a knowledge article
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Article ID
When this article was first created
Article title
Playbook collection
Declarative, procedural, or document
Available options:
declarative, document, procedural Published or archived
Available options:
archived, published Visibility: shared, segment, or customer
Available options:
shared, segment, customer What this article covers
Full article content
Customer this article is scoped to
Segment this article is scoped to
When last published
When archived
Reference document attachment
Attached file
Show child attributes
Show child attributes
Latest version metadata
Show child attributes
Show child attributes
